cURL
curl --request GET \
--url https://sandbox.dollarpe.xyz/pos/api/v1/payout/{payout_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-SIGNATURE: <api-key>' \
--header 'X-TIMESTAMP: <api-key>'import requests
url = "https://sandbox.dollarpe.xyz/pos/api/v1/payout/{payout_id}"
headers = {
"X-API-KEY": "<api-key>",
"X-TIMESTAMP": "<api-key>",
"X-SIGNATURE": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-API-KEY': '<api-key>',
'X-TIMESTAMP': '<api-key>',
'X-SIGNATURE': '<api-key>'
}
};
fetch('https://sandbox.dollarpe.xyz/pos/api/v1/payout/{payout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"data": {
"id": "08441dd3-8cc0-405c-932b-7fdbc8894f66",
"quotation_id": "08441dd3-8cc0-405c-932b-7fdbc8894f66",
"customer_id": "dfd8db74-2fbb-46d1-9a93-b90f156e13b4",
"client_reference_id": "testUser123",
"bank_id": "e75f62f0-db9e-4904-8103-d6f14f67f5dc",
"asset": "USDT",
"fiat": "INR",
"sending_amount": "10",
"rate": "89.4",
"receiveing_amount": "870",
"fees": {
"client_fee_fiat": 450,
"client_fee_crypto": 5,
"dollarpe_fee": 450,
"pg_fee": 18,
"client_gst_fiat": 81,
"client_gst_crypto": 0.9,
"dollarpe_gst": 81,
"pg_gst": 81,
"tds": 889.17,
"gross_effective_exchange_rate": 88.92
},
"exchange_order_id": "5059889123892",
"exchange_transfer_id": "",
"status": "SUCCESS",
"failure_reason": null,
"utr": "RATN0329SJDH0",
"created_at": "2025-02-11T01:30:08.000Z",
"updated_at": "2025-02-11T01:30:08.000Z"
}
}{
"success": false,
"message": "Internal Server Error",
"err_code": "SYS_INTERNAL_ERROR",
"errors": "Unexpected error occurred. Please try again later.",
"data": null
}Order
Fetch Payout
Returns the current status and details of a specific payout order.
GET
/
payout
/
{payout_id}
cURL
Fetch Payout
| API Status Code | Response | Reason |
|---|---|---|
| 400 | Payout ID is required. | Missing Payout ID |
| 400 | Payout ID is invalid | Invalid Payout ID |
| 500 | Internal Server Error | Internal Server Error |
Authorizations
API Key for authentication
Current timestamp in seconds since epoch
HMAC SHA256 signature of the request encoded in Base64
Path Parameters
The unique identifier of the payout
Example:
"08441dd3-8cc0-405c-932b-7fdbc8894f66"
⌘I

